﻿@model IEnumerable<EM.Presentation.Models.CommentVM>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_CustomLayout.cshtml";
}
<style>
    .lolo
    {
        margin-left: 60%;
    }
</style>


@using (Html.BeginForm())
    {
    <div>                
                <nav class="navbar navbar-expand-lg bg-rose">
                    <div class="container">
                       
                        <div class="collapse navbar-collapse">
                           
                            <form class="form-inline ml-auto">
                                @Html.TextBox("searchString")
                                <button type="submit" class="btn btn-white btn-raised btn-fab btn-round" id="submit">
                                    <i class="material-icons">search </i>
                                </button>
                            </form>
                        </div>
                    </div>
                </nav>



        
        @*<a href="@Html.ActionLink("Back to List", "Index")" class="nav-link">  <div class="ripple-container"></div></a>*@


               
                @*<div>
                    Recherche: @Html.TextBox("searchString")
                </div>*@
           
                
                @*<input type="submit" value="Search" id="submit" />*@
                @*<a class="btn btn-rose"  @Html.ActionLink("Back to List", "Index" )
*@
    </div>

}




<table class="table text-center" id="table" align="center">
    <tr style="border:1px solid black"> 
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>

           @Html.Partial("_DisplayImg",item)
        </td>
        
        <td>
            @Html.DisplayFor(modelItem => item.ParticipantName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Text)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.CreatedOn)
        </td>
        <td><span class="likebtn-wrapper" data-theme="custom" data-icon_l_c_v="#fb0505" data-icon_d_c_v="#f0ff00" data-label_c_v="#ff0000" data-counter_d_c="#f0ff00" data-lang="fr" data-ef_voting="buzz" data-identifier="dis/like" data-voting_frequency="90"></span>
        </td>

       
        <td>
            
            @Html.ActionLink("Rep", "Index1", new { commid = item.Id }) ( @Html.Action("nbReplies", new { idCom = item.Id }) ) |
            @Html.ActionLink("Edit", "Edit2", new { id=item.Id }) |
            @*<a href="@Url.Action("Delete", "Comment", new { id=item.Id })" class="button" style="font-size:24px"> <i class="fa fa-trash-o"></i></a>*@
             @Html.ActionLink("Delete", "Delete", new { id=item.Id })
        </td>
    </tr>
}
</table>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script>
$(document).ready(function(){
  $("button").click(function(){
    $("textarea").toggle();
  });
});
</script>


    <head>

        <meta name='viewport' content='width=device-width, initial-scale=1'>
        <link rel='stylesheet' href='https://use.fontawesome.com/releases/v5.7.0/css/all.css' integrity='sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ' crossorigin='anonymous'>
    </head>


    <body>
        <table>
            <tr>
                <td>
                <textarea id="comm" placeholder="votre commentaire"></textarea>
                </td>
                <td>
                <button class="btn btn-rose" id="show">Mettre un commentaire&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i style='font-size:24px' class='far'>&#xf075;</i><div class="ripple-container"></div></button>
                </td>
            </tr>
        </table>
    </body>

@section scripts{
    <!-- LikeBtn.com BEGIN -->

<script>(function(d,e,s){if(d.getElementById("likebtn_wjs"))return;a=d.createElement(e);m=d.getElementsByTagName(e)[0];a.async=1;a.id="likebtn_wjs";a.src=s;m.parentNode.insertBefore(a, m)})(document,"script","//w.likebtn.com/js/w/widget.js");</script><!-- LikeBtn.com END -->

<script>
    $(function() {
        function getContent(){
            return document.getElementById("comm").value
        }

        $("#comm").keyup(function (e){
            var keycode = (event.keyCode ? event.keyCode : event.which);
            if(keycode == '13'){
                
                var contenu = document.getElementById("comm").value;
                if (contenu == "") {
                    window.console("un commentaire  ne peut pas etre vide ");
                }
                else {

                    $.ajax({
                        url: '@Url.Action("Create", "Comment")' + "?contenu=" + contenu,
                        type: "POST",
                        success: function (result) {
                            $('#table').append(result)
                            $("#comm").val("")
                        }
                        
                    })
                    
                }
            }


        })
    });
</script>




    

<script src="@Url.Content("~/Scripts/jquery-1.10.2.js")" type="text/javascript"></script>
<script src="@Url.Content("~/Scripts/ChatScript.js")" type="text/javascript"></script>
<h2>Just Chat</h2>
<body style="background-color: purple">
    <div id="body">
        <section>
            <div id="chatTemplate">
            </div>
            <div id="start">
                <label for="username">Enter username to start chatting</label>
                <input type="text" id="username" />
                <input type="button" value="set user" onclick="setUser()" />
            </div>
            <div id="message"></div>
            <div id="chatControl">
                <textarea type="text" id="push"></textarea>
                <button id="pushbtn" onclick="Send()">Send</button>
            </div>
        </section>
    </div>
</body>  


}